V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
fake23
V2EX  ›  宽带症候群

旧手机的安卓系统 如果升级安全证书?

  •  
  •   fake23 · 37 天前 via Android · 1152 次点击
    这是一个创建于 37 天前的主题,其中的信息可能已经有所发展或是发生改变。
    最近一些用来搞和谐物的旧手机出现证书无法识别情况。不知道如果让安卓 7.0 能识别一些 ca 的安全证书?
    2 条回复    2024-04-14 19:50:05 +08:00
    jim9606
        1
    jim9606  
       36 天前
    你可以去 Mozilla's CA Certificate Program 自行下载证书在手机上安装为用户 CA (安装后系统会提示网络被监控)
    不过现代 Target API 的 APP 可能不认,因为默认只信任系统根,这种你得 root 改系统的证书库了。

    最重要的是目前 Let's Encrypt 使用的 ISRG Root X1/X2 根,其余的像 Amazon 、GeoTrust 、Microsoft 、GTS 、Hongkong Post 的看心情吧。
    gentrydeng
        2
    gentrydeng  
       36 天前 via Android
    https://github.com/NVISOsecurity/MagiskTrustUserCerts

    简单搜索一下,如果能解锁 Bootloader ,刷入 Magisk/KernelSU/APatch
    关于   ·   帮助文档   ·   博客   ·   API   ·   FAQ   ·   实用小工具   ·   3226 人在线   最高记录 6679   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 22ms · UTC 10:37 · PVG 18:37 · LAX 03:37 · JFK 06:37
    Developed with CodeLauncher
    ♥ Do have faith in what you're doing.